### Property

# Gtk ListView:header-factory

since: 4.12

#### Declaration

    property header-factory: Gtk.ListItemFactory [ read, write ]

#### Description [src]

Factory for creating header widgets.

The factory must be for configuring `GtkListHeader` objects.

Type:`GtkListItemFactory`

Available since: 4.12

Getter method | `gtk_list_view_get_header_factory()`
Setter method | `gtk_list_view_set_header_factory()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no